use strict;
use Win32::OLE('in');

use constant wbemFlagReturnImmediately => 0x10;
use constant wbemFlagForwardOnly => 0x20;

my @computers = ($ARGV[0]);
foreach my $computer (@computers) {

   my $objWMIService = Win32::OLE->GetObject("winmgmts:\\\\$computer\\root\\CIMV2") or die "WMI connection failed.\n";
   my $colItems = $objWMIService->ExecQuery("SELECT * FROM Win32_PerfFormattedData_MSExchangeTransportQueues_MSExchangeTransportQueues where Name = '_Total'", "WQL",
                  wbemFlagReturnImmediately | wbemFlagForwardOnly);

   foreach my $objItem (in $colItems) {
      print "ActiveMailboxDeliveryQueueLength:$objItem->{ActiveMailboxDeliveryQueueLength} ";
      print "ActiveNonSmtpDeliveryQueueLength:$objItem->{ActiveNonSmtpDeliveryQueueLength} ";
      print "ActiveRemoteDeliveryQueueLength:$objItem->{ActiveRemoteDeliveryQueueLength} ";
   }
   
}   